Gecode::NoGoods Class Reference

No-goods recorded from restarts. More...

`#include <core.hpp>`

## Public Member Functions

| NoGoods (void)
| Initialize.
virtual void | post (Space &home) const
| Post no-goods.
unsigned long int | ng (void) const
| Return number of no-goods posted.
void | ng (unsigned long int n)
| Set number of no-goods posted to n
virtual | ~NoGoods (void)
| Destructor.

## Static Public Attributes

static NoGoods | eng
| Empty no-goods.

## Protected Attributes

unsigned long int | n
| Number of no-goods.

## Detailed Description

No-goods recorded from restarts.

Definition at line 1588 of file core.hpp.

## Constructor & Destructor Documentation

## NoGoods()

Gecode::NoGoods::NoGoods | ( | void |  | ) |

inline

Initialize.

Definition at line 3052 of file core.hpp.

## ~NoGoods()

Gecode::NoGoods::~NoGoods | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 3063 of file core.hpp.

## Member Function Documentation

## post()

void Gecode::NoGoods::post | ( | Space & | home | ) | const

virtual

Post no-goods.

Reimplemented in Gecode::Search::Par::Path< Tracer >, Gecode::Search::Par::Path< Gecode::Tracer >, Gecode::Search::Seq::Path< Tracer >, and Gecode::Search::Seq::Path< Gecode::Tracer >.

Definition at line 82 of file core.cpp.

## ng() [1/2]

unsigned long int Gecode::NoGoods::ng | ( | void |  | ) | const

inline

Return number of no-goods posted.

Definition at line 3055 of file core.hpp.

## ng() [2/2]

void Gecode::NoGoods::ng | ( | unsigned long int | n | ) |

inline

Set number of no-goods posted to n

Definition at line 3059 of file core.hpp.

## Member Data Documentation

## n

unsigned long int Gecode::NoGoods::n

protected

Number of no-goods.

Definition at line 1591 of file core.hpp.

## eng

NoGoods Gecode::NoGoods::eng

static

Empty no-goods.

Definition at line 1606 of file core.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/core.cpp